docker: github.com/docker/docker/daemon/graphdriver/overlayutils Index | Files

package overlayutils

import "github.com/docker/docker/daemon/graphdriver/overlayutils"

Index

Package Files

overlayutils.go randomid.go

func ErrDTypeNotSupported Uses

func ErrDTypeNotSupported(driver, backingFs string) error

ErrDTypeNotSupported denotes that the backing filesystem doesn't support d_type.

func GenerateID Uses

func GenerateID(l int, logger *logrus.Entry) string

GenerateID creates a new random string identifier with the given length

func SupportsOverlay Uses

func SupportsOverlay(d string, checkMultipleLowers bool) error

SupportsOverlay checks if the system supports overlay filesystem by performing an actual overlay mount.

checkMultipleLowers parameter enables check for multiple lowerdirs, which is required for the overlay2 driver.

Package overlayutils imports 14 packages (graph) and is imported by 245 packages. Updated 2020-03-15. Refresh now. Tools for package owners.